View Issue Details

IDProjectCategoryView StatusLast Update
0002335NoesisGUIC++ SDKpublic2022-06-21 12:11
Reporterjack.barkov Assigned Tojsantos  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.4 
Target Version3.1.5Fixed in Version3.1.5 
Summary0002335: Assert failed - VGLContext::GetBatchGroupPaint
DescriptionFirst, to reproduce this, you need to use Noesis.dll in debug, which was sent to me in the ticket:
https://www.noesisengine.com/bugs/view.php?id=2323

In the file: \Src\Packages\App\Launcher\Src\Launcher.cpp, I installed the CustomErrorHandler:
```
    Noesis::SetErrorHandler([](const char* filename, uint32_t line, const char* desc, bool fatal)
        {
            char out[512];
            snprintf(out, sizeof(out), "[NOESIS/Error] %s:%u (Fatal: %d) - Desc: %s\n", filename, line, fatal ? 1 : 0, desc);

#ifdef NS_PLATFORM_WINDOWS
#ifdef UNICODE
            uint16_t out_[512];
            UTF8::UTF8To16(out, out_, 512);
            OutputDebugString((LPCWSTR)out_);
#else
            OutputDebugString(out);
#endif
#else
            fprintf(stderr, "%s", out);
#endif
        });
```

After doing a lot of testing, I was able to isolate a new problem when I was trying to manipulate the render area of an image through the Viewport.

I was able to play both with a xaml in XamlPlayer and in the Inventory example (C++)

Attached I put the test.zip, just open it in XamlPlayer using everything in debug.
To reproduce using Inventory, in MainWindow.xaml, search for:

<ImageBrush ImageSource="Images/Character.png" Stretch="Uniform"/>

and change to:

<ImageBrush ImageSource="Images/Character.png" Stretch="UniformToFill" ViewportUnits="Absolute" Viewport="0,0,0,4" AlignmentX="Left" TileMode="None"/>

In both cases, you will get the assert:
[NOESIS/Error] ..\..\..\..\NoesisSDK\Native\Src\Packages\Drawing\VGL\Src\VGLContext.cpp:1647 (Fatal: 1) - Desc: Assertion failed: !IsZero(pattern.srcWidth), at VGLContext.cpp(1647)

The SetErrorHandler callback is saying it's a fatal error, but I'm not exactly sure if that would cause any problems with everything in release. Would that be a problem or not?

My intention with this is to make a sort of progress bar with an image where it wouldn't be stretched.




TagsNo tags attached.
PlatformAny

Activities

jack.barkov

jack.barkov

2022-04-22 22:06

reporter  

test.zip (25,553 bytes)
callstack.png (294,118 bytes)
xamlplayer_screen_error.png (12,806 bytes)   
xamlplayer_screen_error.png (12,806 bytes)   
jsantos

jsantos

2022-06-21 12:11

manager   ~0007989

Thanks for the feedback!

Issue History

Date Modified Username Field Change
2022-04-22 22:06 jack.barkov New Issue
2022-04-22 22:06 jack.barkov File Added: test.zip
2022-04-22 22:06 jack.barkov File Added: callstack.png
2022-04-22 22:06 jack.barkov File Added: xamlplayer_screen_error.png
2022-04-25 18:18 jsantos Assigned To => jsantos
2022-04-25 18:18 jsantos Status new => assigned
2022-04-25 18:18 jsantos Target Version => 3.1.5
2022-06-21 12:11 jsantos Status assigned => resolved
2022-06-21 12:11 jsantos Resolution open => fixed
2022-06-21 12:11 jsantos Fixed in Version => 3.1.5
2022-06-21 12:11 jsantos Note Added: 0007989